package net.sf.itcb.common.client.marshaller;

import javax.xml.bind.Marshaller;
import javax.xml.bind.Unmarshaller;

/**
 * This class simply extends the Spring class in order to share original marshaller and unmarshaller.<br/>
 * It is usefull for unmarshall using a specified type
 * @author Pierre Le Roux
 */
public class ItcbJaxb2Marshaller
		extends org.springframework.oxm.jaxb.Jaxb2Marshaller {

	public Marshaller getMarshaller() {
		return createMarshaller();
	}
	
	public Unmarshaller getUnmarshaller() {
		return createUnmarshaller();
	}

}
